### Function Macro

# GLib warning_once

since: 2.64

#### Declaration

    #define g_warning_once (
      ...
    )

#### Description

Logs a warning only once.

`g_warning_once()` calls `g_warning()` with the passed message the first time the statement is executed; subsequent times it is a no-op.

Note! On platforms where the compiler doesn’t support variadic macros, the warning is printed each time instead of only once.

Available since: 2.64

This function is not directly available to language bindings.

#### Parameters

`...`

  Type: `-`

  Format string, followed by parameters to insert into the format string (as with printf())